Page MenuHomePhabricator

WikiDev16: Next generation video for Wikipedia and friends
Closed, ResolvedPublic

Description

I've set this for Tuesday: 14:00, (Leach) Room 3

Etherpad: https://etherpad.wikimedia.org/p/WikiDev16-Video

Definition of the problem

Video on Wikimedia is a complicated matter that unfortunately does not have the support of a full team at the WMFoundation. There are however many interested parties, both among the employees and volunteers, working on various parts of this intertwined technology stack.

Expected outcome at the Summit

This session can be considered as 'backlog grooming'. The intent will be to report on current status, gather feature requests, identify blockers, prioritize tasks and realign everyone on where we are and where we are going, in order to make sure that individual developers can work efficiently and with direction.

Links to background information

Related tasks in Phabricator

Related: T118911: WikiDev16: Next generation video for Wikipedia and friends [backend]

Event Timeline

TheDJ created this task.Sep 15 2015, 8:25 PM
TheDJ claimed this task.
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added subscribers: TheDJ, brion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 8:25 PM
TheDJ renamed this task from Next generation video playback for Wikipedia and friends to WikiDev16: Next generation video playback for Wikipedia and friends.Sep 15 2015, 8:42 PM
TheDJ set Security to None.
Qgil added a subscriber: Qgil.Sep 16 2015, 9:49 PM

Thank you for proposing a session for the Wikimedia Developer Summit. Please complete your description -- see "Expected fields" at https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2016#Call_for_participation

TheDJ renamed this task from WikiDev16: Next generation video playback for Wikipedia and friends to WikiDev16: Next generation video for Wikipedia and friends.Sep 27 2015, 9:52 AM
TheDJ updated the task description. (Show Details)
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: Fuzheado.
TheDJ updated the task description. (Show Details)Oct 3 2015, 8:16 PM
Qgil added a comment.Oct 3 2015, 8:57 PM

Congratulations! This is one of the 52 proposals that made it through the first deadline of the Wikimedia-Developer-Summit-2016 selection process. Please pay attention to the next one: > By 6 Nov 2015, all Summit proposals must have active discussions and a Summit plan documented in the description. Proposals not reaching this critical mass can continue at their own path out of the Summit.

This session can be considered as 'backlog grooming'. The intent will be to report on current status, gather feature requests, identify blockers, prioritize tasks and realign everyone on where we are and where we are going, in order to make sure that individual developers can work efficiently and with direction.

But this work can start already now. There is no need to wait until January to get started.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 12 2015, 8:52 PM
brion added a comment.Oct 21 2015, 8:29 PM

Note that @TheDJ is currently doing some cleanup on the backlog board for the TMH extension project; discussion so far has been on specific bugs or in IRC. I'll wrangle up some priority issues to list out here (there's also a little overlap with Parsoid wanting cleaner markup for media)...

Big related/subissues to discuss:

  • T64270 - Clean base HTML for video/audio content that can be Parsoid-friendly:
    • (we should probably be producing something consistently clean in both core MW parser and Parsoid, and do our transformations from there)
    • (if it's necessary to add info for derivative file details, we need to be able to consistently add or remove that data when going into/out of parsoid)
  • T66214 - Predictable URLs for thumbnails and media derivatives:
    • (in this case we may continue to treat transcoded derivatives separately, but it'd be nice to have a more unified system)
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 7 2015, 9:47 PM
Qgil updated the task description. (Show Details)Nov 18 2015, 12:45 PM
MarkTraceur triaged this task as Normal priority.Dec 21 2015, 9:29 PM
MarkTraceur added a subscriber: MarkTraceur.

I'm not sure how to deal with this, it's in our workboard as "needs triage", but I don't want to mark it "lowest", even though we're not going to be working for it, because you guys will be. I'll see you at the summit!

Speaking of..
@brion we should really have a small talk on how we are gonna structure those 2 sessions.

TheDJ updated the task description. (Show Details)Dec 28 2015, 1:44 PM
TheDJ added a subscriber: 80686.
80686 awarded a token.Dec 28 2015, 1:53 PM
TheDJ updated the task description. (Show Details)Jan 4 2016, 11:10 PM
TheDJ updated the task description. (Show Details)Jan 5 2016, 6:03 PM

@TheDJ, could you please add a link to the slides?

TheDJ added a comment.Jan 6 2016, 6:21 PM

Wikimedia Developer Summit 2016 ended two weeks ago. This task is still open. If the session in this task took place, please make sure 1) that the session Etherpad notes are linked from this task, 2) that followup tasks for any actions identified have been created and linked from this task, 3) to change the status of this task to "resolved". If this session did not take place, change the task status to "declined". If this task itself has become a well-defined action which is not finished yet, drag and drop this task into the "Work continues after Summit" column on the project workboard. Thank you for your help!

TheDJ closed this task as Resolved.Jan 20 2016, 8:03 PM